LayOut C API

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Functions
selectionset.h File Reference
`#include <LayOutAPI/common.h>`
`#include <LayOutAPI/model/defs.h>`

Go to the source code of this file.

## Functions
LO_RESULT | LOSelectionSetAddEntity (LOSelectionSetRef selection_set, LOEntityRef entity)
| Selects the entity, adding it to the current selection set. More...
LO_RESULT | LOSelectionSetAddEntities (LOSelectionSetRef selection_set, LOEntityListRef entities)
| Selects the entities, adding them to the current selection set. More...
LO_RESULT | LOSelectionSetSelectEntity (LOSelectionSetRef selection_set, LOEntityRef entity)
| Selects the entity, replacing the current selection set. More...
LO_RESULT | LOSelectionSetSelectEntities (LOSelectionSetRef selection_set, LOEntityListRef entities)
| Selects the entities, replacing the current selection set. More...
LO_RESULT | LOSelectionSetRemoveEntity (LOSelectionSetRef selection_set, LOEntityRef entity)
| Removes the entity from the current selection set. More...
LO_RESULT | LOSelectionSetRemoveEntities (LOSelectionSetRef selection_set, LOEntityListRef entities)
| Removes the entities from the current selection set. More...
LO_RESULT | LOSelectionSetClear (LOSelectionSetRef selection_set)
| Removes all entities from the selection set. More...
LO_RESULT | LOSelectionSetGetNumberOfEntities (LOSelectionSetRef selection_set, size_t *num_entities)
| Gets the number of entities in the selection set. More...
LO_RESULT | LOSelectionSetGetEntityAtIndex (LOSelectionSetRef selection_set, size_t index, LOEntityRef *entity)
| Gets the entity at the specified index in a selection set object. More...

## Function Documentation

LO_RESULT LOSelectionSetAddEntities | ( | LOSelectionSetRef | selection_set,
|  | LOEntityListRef | entities
| ) |  |

Selects the entities, adding them to the current selection set.

Since
  LayOut 2023.1, API 8.1

Parameters

  [in] | selection_set | The selection set object.
  [in] | entities | The entities to add to the current selection.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if `selection_set` or `entities` is an invalid object

LO_RESULT LOSelectionSetAddEntity | ( | LOSelectionSetRef | selection_set,
|  | LOEntityRef | entity
| ) |  |

Selects the entity, adding it to the current selection set.

Since
  LayOut 2023.1, API 8.1

Parameters

  [in] | selection_set | The selection set object.
  [in] | entity | The entity to add to the current selection.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if `selection_set` or `entity` is an invalid object

LO_RESULT LOSelectionSetClear | ( | LOSelectionSetRef | selection_set | ) |

Removes all entities from the selection set.

Since
  LayOut 2023.1, API 8.1

Parameters

  [in] | selection_set | The selection set object.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if `selection_set` is an invalid object

LO_RESULT LOSelectionSetGetEntityAtIndex | ( | LOSelectionSetRef | selection_set,
|  | size_t | index,
|  | LOEntityRef * | entity
| ) |  |

Gets the entity at the specified index in a selection set object.

Since
  LayOut 2023.1, API 8.1

Parameters

  [in] | selection_set | The selection set object.
  [in] | index | The index of the entity to get.
  [out] | entity | The entity object.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if `selection_set` does not refer to a valid object
  - SU_ERROR_OUT_OF_RANGE if `index` is out of range for the selection set
  - SU_ERROR_NULL_POINTER_OUTPUT if `entity` is NULL
  - SU_ERROR_OVERWRITE_VALID if *entity already refers to a valid object

LO_RESULT LOSelectionSetGetNumberOfEntities | ( | LOSelectionSetRef | selection_set,
|  | size_t * | num_entities
| ) |  |

Gets the number of entities in the selection set.

Since
  LayOut 2023.1, API 8.1

Parameters

  [in] | selection_set | The selection set object.
  [out] | num_entities | The number of entities in the selection set.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if `selection_set` is an invalid object
  - SU_ERROR_NULL_POINTER_OUTPUT if `num_entities` is NULL

LO_RESULT LOSelectionSetRemoveEntities | ( | LOSelectionSetRef | selection_set,
|  | LOEntityListRef | entities
| ) |  |

Removes the entities from the current selection set.

Since
  LayOut 2023.1, API 8.1

Parameters

  [in] | selection_set | The selection set object.
  [in] | entities | The entities to remove from the current selection.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if `selection_set` or `entities` is an invalid object

LO_RESULT LOSelectionSetRemoveEntity | ( | LOSelectionSetRef | selection_set,
|  | LOEntityRef | entity
| ) |  |

Removes the entity from the current selection set.

Since
  LayOut 2023.1, API 8.1

Parameters

  [in] | selection_set | The selection set object.
  [in] | entity | The entity to remove from the current selection.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if `selection_set` or `entity` is an invalid object

LO_RESULT LOSelectionSetSelectEntities | ( | LOSelectionSetRef | selection_set,
|  | LOEntityListRef | entities
| ) |  |

Selects the entities, replacing the current selection set.

Since
  LayOut 2023.1, API 8.1

Parameters

  [in] | selection_set | The selection set object.
  [in] | entities | The entities to set as the current selection.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if selection_set or entities is an invalid object

LO_RESULT LOSelectionSetSelectEntity | ( | LOSelectionSetRef | selection_set,
|  | LOEntityRef | entity
| ) |  |

Selects the entity, replacing the current selection set.

Since
  LayOut 2023.1, API 8.1

Parameters

  [in] | selection_set | The selection set object.
  [in] | entity | The entity to set as the current selection.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if `selection_set` or `entity` is an invalid object